*{
    box-sizing: border-box;
}

body
{
    font-family: Arial, sans-serif;
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr;
    height: 100vh;
    margin: 0px;

}

header
{
    background-color: lightblue;
    color: white;
    padding: 40px 0;
    text-align: center;
}

h1
{
    font-size: 2em;
    font-weight: bold;
    margin-bottom: 0px;
}

header i
{
    font-size: 80px;
    margin: 0;
}

.header__student-name
{
    font-size: 24px;
    margin: 0;
}

main
{
    display: grid;
    grid-template-columns: repeat(2 ,1fr);
    grid-template-rows: auto auto 1fr;
    gap: 15px;
    padding: 20px;
    background-color: white;
}

.main__course
{
    height: 170px;
    border-radius: 8px;
    text-align: center;
    padding: 20px;
    color: white;
    text-decoration: none;
    border: 1px solid white;
    box-shadow: 0 2px 4px rgb(0, 0, 0, 0.1);
    transition: transform 0.2s, box-shadow 0.2s;
}

.main__course:hover
{
    transform: scale(1.05);
    box-shadow: 0 4px 8px rgb(0, 0, 0, 0.2);
}

.main__course i
{
    font-size: 64px;
    margin-bottom: 10px;
}

.main__course p
{
    font-size: 20px;
    font-weight: bold;
}

.color_web1{background-color: yellow;}
.color_web2{background-color: orange;}
.color_webs{background-color: red;}
.color_final{background-color: darkred;}

footer
{
    background-color: lightblue;
    color: white;
    text-align: center;
    padding: 10px 0;
    font-size: 14px;
}